#include <unistd.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/mman.h>
#include <fcntl.h>

int main(int argc, char* argv[])
{
  int fd;
  char* mem;
  
  if(argc != 2)
  {
    printf("Használat: %s állomány\n", argv[0]);
    return 1;
  }
  
  if((fd = open(argv[1], O_RDONLY)) < 0)
  {
    perror("open");
    return 1;
  }
  if((mem = mmap(0, 256, PROT_READ, MAP_SHARED, fd, 0)) ==
                                                    MAP_FAILED)
  {
    perror("mmap");
    return 1;
  }
  write(STDOUT_FILENO, mem, 256);
  return 0;
}

