/* ezls.c – Kilistazza az aktualis konyvtar tartalmat. */

#include <errno.h>
#include <sys/types.h>
#include <dirent.h>
#include <stdio.h>

int main(void)
{
  DIR* konyvtar;
  struct dirent* elem;
  /* Az aktualis konyvtarat (".") megnyitjuk. */
  if((konyvtar = opendir(".")) == NULL)
  {
    perror("opendir");
    return 1;
  }
  /* Az errno-t 0-ra allitjuk a readdir() hibadetektalasahoz.*/
  errno = 0;
  while((elem = readdir(konyvtar)) != NULL)
  {
    puts(elem->d_name);
    /* A puts() modosithatja az errno-t, ezert 
       visszaallitjuk. */
    errno = 0;      
  }
  if (errno)
  {
    perror("readdir");
    return 1;
  }
  closedir(konyvtar);
  return 0;
}

